/*******************************************************************************
 *
 * string_t.h
 *
 * Provides a data structure and supporting functions for scanning
 * strings. 
 *
 * Cheetah Web Browser
 * Copyright (C) 2001 Garett Spencley 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
 *
 *******************************************************************************/

#ifndef __SCANNER_H__
#define __SCANNER_H__

typedef struct {
	char *buffer;
	int len;
	int pos;
} string_t;

string_t *create_string(char *string);
void free_string(string_t *string);
int get_char(string_t *string);
char *get_ident(string_t *string);
char *get_string(string_t *string);
char *get_rest(string_t *string);

#endif
